<?php require_once('Connections/sistem.php'); ?>
<?php
$reg=$_POST['reg'];
$rek=$_POST['no_rek'];
$from=$_POST['from'];
$akun=$_POST['akun'];
$keterangan=$_POST['keterangan'];
$kode_unit=$_SESSION['kode'];
$nama_unit=$_SESSION['nama'];
$user_id=$_SESSION['admin'];
$transaksi=$_POST['account'];
$perkiraan=$_POST['perkiraan'];
$jenis=$_POST['jenis'];
$ta='-';
$smt='-';

if($jenis=='Auto Debet'){
$debet=$_POST['nominal'];
$kredit=0;
 $rekam =" INSERT INTO transaksi_bank_tb (Id_transaksi, no_rek, debet, kredit, keterangan, bulan, tahun, ta, smt, kode_unit, nama_unit, nama_komplek, akun, no_perkiraan, transaksi, tgl_update, jenis_rincian, user_id) VALUES ('$reg', '$rek', '$debet', '$kredit', '$keterangan', '$bulan', '$tahun', '$ta', '$smt', '$kode_unit', '$nama_unit', '-', '$akun', '$perkiraan', '$transaksi', '$from', '$jenis', '$user_id')";
   $queryinput1=mysql_query($rekam);

  $rekam1 =" INSERT INTO transaksi_tb (Id_transaksi, no_rek, debet, kredit, keterangan, bulan, tahun, ta, smt, kode_unit, nama_unit, nama_komplek, akun, no_perkiraan, transaksi, tgl_update, jenis_rincian, user_id) VALUES ('$reg', '$rek', '$debet', '$kredit', '$keterangan', '$bulan', '$tahun', '$ta', '$smt', '$kode_unit', '$nama_unit', '-', '$akun', '$perkiraan', 'Bank', '$from', '$jenis', '$user_id')";
   $queryinput2=mysql_query($rekam1);


$query=($queryinput1&$queryinput2);
if ($query==true)
{	
?>
        <script>
			alert ("Data Berhasil Direkam"); history.back();
		</script>
        <?php
		}
		else
		{
		?>
        <script>
			alert ("Maaf ..!! Data Gagal Direkam"); history.back();
		</script>
     <?php
		}
}

else if($jenis=='Setor Tunai'){
$debet=$_POST['nominal'];
$kredit=0;
   
 $rekam =" INSERT INTO transaksi_bank_tb (Id_transaksi, no_rek, debet, kredit, keterangan, bulan, tahun, ta, smt, kode_unit, nama_unit, nama_komplek, akun, no_perkiraan, transaksi, tgl_update, jenis_rincian, user_id) VALUES ('$reg', '$rek', '$debet', '$kredit', '$keterangan', '$bulan', '$tahun', '$ta', '$smt', '$kode_unit', '$nama_unit', '-', '$akun', '$perkiraan', '$transaksi', '$from', '$jenis', '$user_id')";
   $queryinput1=mysql_query($rekam);
  
  $rekamccc =" INSERT INTO transaksi_tb (Id_transaksi, no_rek, debet, kredit, keterangan, bulan, tahun, ta, smt, kode_unit, nama_unit, nama_komplek, akun, no_perkiraan, transaksi, tgl_update, jenis_rincian, user_id) VALUES ('$reg', '$rek', '$kredit', '$debet', '$keterangan', '$bulan', '$tahun', '$ta', '$smt', '$kode_unit', '$nama_unit', '-', '$akun', '$perkiraan', 'Kas', '$from', '$jenis', '$user_id')";
   $queryinput2=mysql_query($rekamccc);
 
$query=($queryinput1&$queryinput2);
if ($query==true)
{	
?>
        <script>
			alert ("Data Berhasil Direkam"); history.back();
		</script>
       <?php
		if($jenis=='Auto Debet'){
			header('location:media.php?section=Transaksi&module=jupdp_bank');
		}else{
			header('location:media.php?section=Transaksi&module=jupdp_bank');
		}
			}
		else
		{
		?>
        <script>
			alert ("Maaf ..!! Data Gagal Direkam"); history.back();
		</script>
     <?php
		}
}
else if($jenis=='Auto Kredit'){
$kredit=$_POST['nominal'];
$debet=0;
 $rekam =" INSERT INTO transaksi_bank_tb (Id_transaksi, no_rek, debet, kredit, keterangan, bulan, tahun, ta, smt, kode_unit, nama_unit, nama_komplek, akun, no_perkiraan, transaksi, tgl_update, jenis_rincian, user_id) VALUES ('$reg', '$rek', '$debet', '$kredit', '$keterangan', '$bulan', '$tahun', '$ta', '$smt', '$kode_unit', '$nama_unit', '-', '$akun', '$perkiraan', '$transaksi', '$from', '$jenis', '$user_id')";
   $queryinput1=mysql_query($rekam);
   
    $rekam1 =" INSERT INTO transaksi_tb (Id_transaksi, no_rek, debet, kredit, keterangan, bulan, tahun, ta, smt, kode_unit, nama_unit, nama_komplek, akun, no_perkiraan, transaksi, tgl_update, jenis_rincian, user_id) VALUES ('$reg', '$rek', '$debet', '$kredit', '$keterangan', '$bulan', '$tahun', '$ta', '$smt', '$kode_unit', '$nama_unit', '-', '$akun', '$perkiraan', 'Bank', '$from', '$jenis', '$user_id')";
   $queryinput2=mysql_query($rekam1);

$query=($queryinput1&$queryinput2);
if ($query==true)
{	
?>
        <script>
			alert ("Data Berhasil Direkam"); history.back();
		</script>
      <?php
		if($jenis=='Auto Kredit'){
			header('location:media.php?section=Transaksi&module=jupnl_bank');
		}else{
			header('location:media.php?section=Transaksi&module=jupnl_bank');
		}
			}
		else
		{
		?>
        <script>
			alert ("Maaf ..!! Data Gagal Direkam"); history.back();
		</script>
     <?php
		}
}
else{
	$kredit=$_POST['nominal'];
$debet=0;
 $rekam =" INSERT INTO transaksi_bank_tb (Id_transaksi, no_rek, debet, kredit, keterangan, bulan, tahun, ta, smt, kode_unit, nama_unit, nama_komplek, akun, no_perkiraan, transaksi, tgl_update, jenis_rincian, user_id) VALUES ('$reg', '$rek', '$debet', '$kredit', '$keterangan', '$bulan', '$tahun', '$ta', '$smt', '$kode_unit', '$nama_unit', '-', '$akun', '$perkiraan', '$transaksi', '$from', '$jenis', '$user_id')";
   $queryinput1=mysql_query($rekam);
   
      $rekam1 =" INSERT INTO transaksi_tb (Id_transaksi, no_rek, debet, kredit, keterangan, bulan, tahun, ta, smt, kode_unit, nama_unit, nama_komplek, akun, no_perkiraan, transaksi, tgl_update, jenis_rincian, user_id) VALUES ('$reg', '$rek', '$kredit', '$debet', '$keterangan', '$bulan', '$tahun', '$ta', '$smt', '$kode_unit', '$nama_unit', '-', '$akun', '$perkiraan', 'Kas', '$from', '$jenis', '$user_id')";
   $queryinput2=mysql_query($rekam1);
}

$query=($queryinput1);
if ($query==true)
{	
?>
        <script>
			alert ("Data Berhasil Direkam"); history.back();
		</script>
       <?php
		if($jenis=='Auto Debet'){
			header('location:media.php?section=Transaksi&module=jupdp_bank');
		}elseif($jenis=='Auto Kredit'){
			header('location:media.php?section=Transaksi&module=jupnl_bank');
		}elseif($jenis=='Setor Tunai'){
			header('location:media.php?section=Transaksi&module=jupnl_bank');
		}else{
			header('location:media.php?section=Transaksi&module=jupdp_bank');
		}
			}
		else
		{
		?>
        <script>
			alert ("Maaf ..!! Data Gagal Direkam"); history.back();
		</script>
     <?php
		}
		?>